<?php        
	include("../app/models/connect.php");
?>


<table class="table">
  <thead>
    <tr>
      <th scope="col">Pos.</th>
      <th scope="col">Equipo</th>
      <th scope="col">Puntaje</th>
    </tr>
  </thead>
    <tbody>
        <?php
        $array_equipos = array();
        $queryEquipos = mysqli_query($connect,"SELECT * FROM Asistentes GROUP BY equipo  ");
        while($dataEquipo = mysqli_fetch_array($queryEquipos)){
            $puntaje = 0;
            $queryAsis = mysqli_query($connect,"SELECT * FROM Asistentes WHERE equipo = '".$dataEquipo["equipo"]."'  ");
            while($dataAsis = mysqli_fetch_array($queryAsis)){
                
                $queryResp = mysqli_query($connect,"SELECT SUM(puntaje) FROM Desafio_Respuestas WHERE id_asistente = '".$dataAsis["id"]."' ");
                $dataResp = mysqli_fetch_array($queryResp);
                $puntaje += $dataResp["SUM(puntaje)"];
            }
            
            array_push($array_equipos, array( "equipo" => $dataEquipo["equipo"], "puntaje" => $puntaje ) );
            
        }
        
        usort($array_equipos, 'sort_by_orden');
        function sort_by_orden ($a, $b) {
                return $b['puntaje'] - $a['puntaje'];
        }

        $count = 1;
        $count = 1;
        foreach($array_equipos as $ranking){
            
            echo '
            <tr>
              <td>'.$count.'</td>
              <td>'.$ranking["equipo"].' </td>
              <td>'.$ranking["puntaje"].'</td>
            </tr>
            ';
            $count++;
        }
        ?>
        
        
    </tbody>
</table>


